

//  Steam
//////////////////////

textures/bgmaps/steam01
{
	qer_editorimage textures/bgmaps/steam_add.tga
	surfaceparm nolightmap
	surfaceparm trans
	cull disable
	deformVertexes autosprite2
	deformVertexes wave 50 sin 0 4 0 0.3 
	deformVertexes move 0.3 0.1 0 sin 0 0.5 0 0.2 
	{
		map textures/bgmaps/steam_add.tga
		blendfunc add
		rgbGen Vertex
		tcMod scroll 0 0.3
	}
}

textures/bgmaps/logo_glow_blue
{
       qer_editorimage textures/bgmaps/logo_glow_blue.tga
       surfaceparm trans
       surfaceparm nomarks
       q3map_surfacelight 100
       q3map_lightimage textures/bgmaps/logo_glow_blue.tga
       {
             map textures/bgmaps/logo_glow_blue.tga
             blendfunc add
       }
}
textures/bgmaps/finko_bgflag_red
{
        tessSize 64
        deformVertexes wave 194 sin 0 3 0 .4
        deformVertexes normal .5 .1
        surfaceparm nomarks
        cull none
        
        {
		map textures/bgmaps/finko_bgflag_red.tga
		rgbGen identity
	}
        {
		map textures/effects/blueflagmap.tga
                tcGen environment
                tcmod scale 9 3
                tcmod scroll .1 .7
                
                blendFunc GL_ONE GL_ONE
                rgbGen identity
	}
        {
		map textures/bgmaps/finko_bgflag_red.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
        {
        	map textures/sfx/shadow.tga
                tcGen environment 
                //blendFunc GL_ONE GL_ONE            
                blendFunc GL_DST_COLOR GL_ZERO
               rgbGen identity
	}
}
textures/bgmaps/finko_bgflag_blue
{
        tessSize 64
        deformVertexes wave 194 sin 0 3 0 .4
        deformVertexes normal .5 .1
        surfaceparm nomarks
        cull none
        
        {
		map textures/bgmaps/finko_bgflag_blue.tga
		rgbGen identity
	}
        {
		map textures/effects/redflagmap.tga
                tcGen environment
                tcmod scale 9 3
                tcmod scroll .1 .7
                
                blendFunc GL_ONE GL_ONE
                rgbGen identity
	}
        {
		map textures/bgmaps/finko_bgflag_blue.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
        {
        	map textures/sfx/shadow.tga
                tcGen environment 
                //blendFunc GL_ONE GL_ONE            
                blendFunc GL_DST_COLOR GL_ZERO
               rgbGen identity
	}
}

textures/bgmaps/e8btrimlight
{
	qer_editorimage textures/bgmaps/e8btrimlight.tga
	q3map_lightimage textures/bgmaps/e8btrimlight.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 250
	{
		map textures/bgmaps/e8btrimlight.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/bgmaps/e8btrimlight.blend.tga
		blendfunc add
	}
}

textures/bgmaps/e8trimlight
{
	qer_editorimage textures/bgmaps/e8trimlight.tga
	q3map_lightimage textures/bgmaps/e8trimlight.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 250
	{
		map textures/bgmaps/e8trimlight.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/bgmaps/e8trimlight.blend.tga
		blendfunc add
	}
}

textures/bgmaps/e8warn2steplight
{
	qer_editorimage textures/bgmaps/e8warn2steplight.tga
	q3map_lightimage textures/bgmaps/e8warn2steplight.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 250
	{
		map textures/bgmaps/e8warn2steplight.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/bgmaps/e8warn2steplight.blend.tga
		blendfunc add
	}
}

textures/bgmaps/e8minitrimlight
{
	qer_editorimage textures/bgmaps/e8minitrimlight.tga
	q3map_lightimage textures/bgmaps/e8minitrimlight.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 250
	{
		map textures/bgmaps/e8minitrimlight.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/bgmaps/e8minitrimlight.blend.tga
		blendfunc add
	}
}
textures/test/e8_jumppad02
{
	q3map_lightimage textures/test/e8_jumppad02_fx.tga
	surfaceparm metalsteps
	q3map_surfacelight 100
	{
		map textures/test/e8_jumppad02.tga
		blendfunc add
		rgbGen identity
	}
	{
		map textures/test/e8_jumppad02_fx.tga
		blendfunc add
		tcMod rotate 360
//		tcMod stretch sin 1 0.8 1 0.4 
	}
	{
		map textures/test/e8_jumppad02.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbGen identity
		tcGen lightmap 
	}
}
textures/bgmaps/e8_rlightb2
{
	qer_editorimage textures/bgmaps/e8_rlightb2.tga
	q3map_lightimage textures/bgmaps/e8_rlightb2.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 450
	{
		map textures/bgmaps/e8_rlightb2.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/bgmaps/e8_rlightb2.blend.tga
		blendfunc add
	}
}
textures/bgmaps/e8_rlightb
{
	qer_editorimage textures/bgmaps/e8_rlightb.tga
	q3map_lightimage textures/bgmaps/e8_rlightb.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 450
	{
		map textures/bgmaps/e8_rlightb.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/bgmaps/e8_rlightb.blend.tga
		blendfunc add
	}
}

textures/bgmaps/evil8_rlight
{
	qer_editorimage textures/bgmaps/e8_rlight.tga
	q3map_lightimage textures/bgmaps/e8_rlight.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 950
	{
		map textures/bgmaps/e8_rlight.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/bgmaps/e8_rlight.blend.tga
		blendfunc add
	}
}

textures/bgmaps/e8tmtllight
{
	qer_editorimage textures/bgmaps/e8tmtllight.tga
	q3map_lightimage textures/bgmaps/e8tmtllight.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 950
	{
		map textures/bgmaps/e8tmtllight.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/bgmaps/e8tmtllight.blend.tga
		blendfunc add
	}
}

textures/bgmaps/e8tmtllight2
{
	qer_editorimage textures/bgmaps/e8tmtllight2.tga
	q3map_lightimage textures/bgmaps/e8tmtllight2.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 950
	{
		map textures/bgmaps/e8tmtllight2.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/bgmaps/e8tmtllight2.blend.tga
		blendfunc add
	}
}

textures/bgmaps/e8tmtllight2b
{
	qer_editorimage textures/bgmaps/e8tmtllight2b.tga
	q3map_lightimage textures/bgmaps/e8tmtllight2b.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 950
	{
		map textures/bgmaps/e8tmtllight2b.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/bgmaps/e8tmtllight2b.blend.tga
		blendfunc add
	}
}

textures/bgmaps/e8xgirder_small2
{
	cull disable
	{
		map textures/bgmaps/e8xgirder_small2.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/bgmaps/e8alphaspawn
{
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm pointlight
	{
		map textures/bgmaps/e8alphaspawn.tga
		blendfunc add
		rgbGen Vertex
	}
}

textures/bgmaps/e8yarrow
{
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm pointlight
	{
		map textures/bgmaps/e8yarrow.tga
		blendfunc add
		rgbGen Vertex
	}
}

textures/bgmaps/e8lighttrim_static
{
	qer_editorimage textures/bgmaps/e8lighttrim.tga
	surfaceparm nomarks
	q3map_surfacelight 400
	{
		map textures/bgmaps/e8lighttrim.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/bgmaps/e8lighttrim.blend.tga
		blendfunc add
	}
}

textures/bgmaps/e8lighttrim_glow
{
	qer_editorimage textures/bgmaps/e8lighttrim.tga
	surfaceparm nomarks
	q3map_surfacelight 400
	{
		map textures/bgmaps/e8lighttrim.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/bgmaps/e8lighttrim.blend.tga
		blendfunc add
		rgbGen wave sawtooth 0.2 1 1 0.2 
	}
}

textures/bgmaps/e8lighttrim_b_static
{
	qer_editorimage textures/bgmaps/e8lighttrim_b.tga
	surfaceparm nomarks
	q3map_surfacelight 400
	{
		map textures/bgmaps/e8lighttrim_b.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/bgmaps/e8lighttrim_b.blend.tga
		blendfunc add
	}
}

textures/bgmaps/e8lighttrim_b_glow
{
	qer_editorimage textures/bgmaps/e8lighttrim_b.tga
	surfaceparm nomarks
	q3map_surfacelight 400
	{
		map textures/bgmaps/e8lighttrim_b.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/bgmaps/e8lighttrim_b.blend.tga
		blendfunc add
		rgbGen wave sawtooth 0.2 1 1 0.2 
	}
}

textures/bgmaps/e8jumpspawn02
{
	q3map_lightimage textures/bgmaps/e8jumpspawn02_fx.tga
	surfaceparm metalsteps
	q3map_surfacelight 100
	{
		map textures/bgmaps/e8jumpspawn02_fx.tga
		rgbGen identity
		tcMod rotate 760
	}
	{
		map textures/bgmaps/e8jumpspawn02.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbGen identity
		tcGen lightmap 
	}
}

textures/bgmaps/e8jumpspawn02b
{
	q3map_lightimage textures/bgmaps/e8jumpspawn02_fx.tga
	surfaceparm metalsteps
	q3map_surfacelight 100
	{
		map textures/bgmaps/e8jumpspawn02_fx.tga
		rgbGen identity
		tcMod rotate 760
	}
	{
		map textures/bgmaps/e8jumpspawn02b.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbGen identity
		tcGen lightmap 
	}
}

textures/bgmaps/e8jumpspawn02c
{
	q3map_lightimage textures/bgmaps/e8jumpspawn02_fx.tga
	surfaceparm metalsteps
	q3map_surfacelight 100
	{
		map textures/bgmaps/e8jumpspawn02_fx.tga
		rgbGen identity
		tcMod rotate 760
	}
	{
		map textures/bgmaps/e8jumpspawn02c.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbGen identity
		tcGen lightmap 
	}
}

textures/bgmaps/e8_launchpad1
{
	q3map_lightimage textures/bgmaps/e8_launchpad1.blend.tga
	surfaceparm metalsteps
	q3map_surfacelight 100
	{
		map textures/bgmaps/e8_launchpad1_fx.tga
		rgbGen identity
		tcMod scroll 0 3
	}
	{
		map textures/bgmaps/e8_launchpad1.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map textures/bgmaps/e8_launchpad1.blend.tga
		blendfunc add
		rgbGen wave triangle 0.2 2 1 2 
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbGen identity
		tcGen lightmap 
	}
}

textures/bgmaps/e8red_dcl
{
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm pointlight
	{
		map textures/bgmaps/e8red_dcl.tga
		blendfunc add
		rgbGen Vertex
	}
}

textures/bgmaps/e8blue_dcl
{
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm pointlight
	{
		map textures/bgmaps/e8blue_dcl.tga
		blendfunc add
		rgbGen Vertex
	}
}

textures/bgmaps/e8xgirder
{
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm nomarks
	surfaceparm trans
	cull disable
	nopicmip
	{
		map textures/bgmaps/e8xgirder.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/bgmaps/e8xgirder_small
{
	cull disable
	{
		map textures/bgmaps/e8xgirder_small.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/bgmaps/e8mtltrim2
{
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm trans
	cull disable
	{
		map textures/bgmaps/e8mtltrim2.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/bgmaps/e8wrntrim2
{
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm trans
	cull disable
	{
		map textures/bgmaps/e8wrntrim2.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/bgmaps/e8mtltrim2
{
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm trans
	cull disable
	{
		map textures/bgmaps/e8mtltrim2.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/bgmaps/e8bgrate01
{
	surfaceparm alphashadow
	surfaceparm metalsteps
	cull disable
	{
		map textures/bgmaps/e8bgrate01.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/bgmaps/e8rail
{
	surfaceparm alphashadow
	cull disable
	nomipmaps
	{
		map textures/bgmaps/e8rail.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/bgmaps/e8icon_red
{
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	cull disable
	{
		map textures/bgmaps/e8icon_red.tga
		blendfunc add
		rgbGen wave triangle 0.2 0.5 0 0.2 
	}
}

textures/bgmaps/e8icon_blue
{
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	cull disable
	{
		map textures/bgmaps/e8icon_blue.tga
		blendfunc add
		rgbGen wave triangle 0.2 0.5 0 0.2 
	}
}

//doesn't work right, please edit as you see fit
textures/bgmaps/e8scuffs1
{
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	cull disable
	qer_trans 0.4
	{
		map textures/bgmaps/e8scuffs1.tga
		blendfunc blend
		rgbGen Vertex
		depthWrite
	}
}

textures/bgmaps/e8circle_red
{
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	{
		map textures/bgmaps/e8circle_red.tga
		blendfunc add
		rgbGen identity
	}
}

textures/bgmaps/e8circle_blue
{
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	{
		map textures/bgmaps/e8circle_blue.tga
		blendfunc add
		rgbGen identity
	}
}

textures/bgmaps/e8circle_red_fade
{
	qer_editorimage textures/bgmaps/e8circle_red.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	cull disable
	{
		map textures/bgmaps/e8circle_red.tga
		blendfunc add
		rgbGen wave triangle 0.2 0.5 0 0.5 
	}
}

textures/bgmaps/e8circle_blue_fade
{
	qer_editorimage textures/bgmaps/e8circle_blue.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	cull disable
	{
		map textures/bgmaps/e8circle_blue.tga
		blendfunc add
		rgbGen wave triangle 0.2 0.5 0 0.5 
	}
}

textures/bgmaps/e8spawn01b
{
	{
		map textures/sfx/proto_zzztblu2.tga
		rgbGen identity
		tcMod turb 0 0.5 0 9.6
		tcMod scale 2 2
		tcMod scroll 9 5
	}
	{
		map textures/bgmaps/e8spawn01b.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbGen identity
		tcGen lightmap 
	}
}

textures/bgmaps/e8trim_bluefx
{
	q3map_lightimage textures/e8trim/bgmapsfx_b.tga
	q3map_surfacelight 100
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/bgmaps/e8trim_bluefx.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/bgmaps/e8trimfx_b.tga
		blendfunc add
		tcMod scroll -2 0
	}
}

textures/bgmaps/e8trim_redfx
{
	q3map_lightimage textures/bgmaps/e8trimfx_r.tga
	q3map_surfacelight 100
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/bgmaps/e8trim_redfx.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/bgmaps/e8trimfx_r.tga
		blendfunc add
		tcMod scroll -2 0
	}
}

//not for public release :P
textures/bgmaps/e8evilspacetxt
{
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm pointlight
	{
		map textures/bgmaps/e8evilspacetxt.tga
		blendfunc add
		rgbGen Vertex
	}
}

textures/bgmaps/e8tinylight
{
	qer_editorimage textures/bgmaps/e8tinylight.tga
	q3map_lightimage textures/bgmaps/e8tinylight.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 950
	{
		map textures/bgmaps/e8tinylight.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/bgmaps/e8tinylight.blend.tga
		blendfunc add
	}
}

textures/bgmaps/e8tinylightblue
{
	qer_editorimage textures/bgmaps/e8tinylightblue.tga
	surfaceparm nomarks
	q3map_surfacelight 950
	{
		map textures/bgmaps/e8tinylightblue.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/bgmaps/e8tinylightblue.blend.tga
		blendfunc add
	}
}

textures/bgmaps/e8beam
{
	qer_editorimage textures/bgmaps/e8beam.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	qer_trans 0.6
	{
		map textures/bgmaps/e8beam.tga
		blendfunc add
		tcMod scroll 0.3 0
	}
}

textures/bgmaps/e8beam_blue
{
	qer_editorimage textures/bgmaps/e8beam_blue.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	qer_trans 0.6
	{
		map textures/bgmaps/e8beam_blue.tga
		blendfunc add
		tcMod scroll 0.3 0
	}
}

textures/bgmaps/e8metal03c_shiney
{
	qer_editorimage textures/bgmaps/e8metal03c.tga
	{
		map textures/effects/tinfx.tga
		rgbGen identity
		tcGen environment 
	}
	{
		map textures/bgmaps/e8metal03c.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbGen identity
		tcGen lightmap 
	}
}

textures/bgmaps/e8metal_blue_shiney
{
	qer_editorimage textures/bgmaps/e8metal_blue.tga
	{
		map textures/effects/tinfx.tga
		rgbGen identity
		tcGen environment 
	}
	{
		map textures/bgmaps/e8metal_blue.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbGen identity
		tcGen lightmap 
	}
}

textures/bgmaps/e8metal_red_shiney
{
	qer_editorimage textures/bgmaps/e8metal_red.tga
	{
		map textures/effects/tinfx.tga
		rgbGen identity
		tcGen environment 
	}
	{
		map textures/bgmaps/e8metal_red.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbGen identity
		tcGen lightmap 
	}
}

//broken shader D:?
textures/bgmaps/e8trimlight
{
	q3map_lightimage textures/bgmaps/e8trimlight_fx.tga
	q3map_surfacelight 100
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/bgmaps/e8trimlight.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/bgmaps/e8trimlight_fx.tga
		blendfunc add
		tcMod scroll -2 0
	}
}

textures/bgmaps/e8trimlight2_blue
{
	qer_editorimage textures/bgmaps/e8trimlight2_blue.tga
	surfaceparm nomarks
	q3map_surfacelight 400
	{
		map textures/bgmaps/e8trimlight2_blue.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/bgmaps/e8trimlight2_blue.blend.tga
		blendfunc add
		tcMod scroll -0.7 0
	}
}

textures/bgmaps/e8trimlight2_red
{
	qer_editorimage textures/bgmaps/e8trimlight2_red.tga
	surfaceparm nomarks
	q3map_surfacelight 400
	{
		map textures/bgmaps/e8trimlight2_red.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/bgmaps/e8trimlight2_red.blend.tga
		blendfunc add
		tcMod scroll -0.7 0
	}
}


//===========================//
//=======floor sounds========//
//===========================//
textures/bgmaps/e8clangfloor
{
	//qer_editorimage textures/bgmaps/e8clangfloor.tga
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
	}
	{
		map textures/bgmaps/e8clangfloor.tga
		blendfunc filter
		rgbGen identity
	}
}
textures/bgmaps/e8clangfloor01
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
	}
	{
		map textures/bgmaps/e8clangfloor01.tga
		blendfunc filter
		rgbGen identity
	}
}

textures/bgmaps/e8clangfloor03
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
	}
	{
		map textures/bgmaps/e8clangfloor03.tga
		blendfunc filter
		rgbGen identity
	}
}

textures/bgmaps/e8clangfloor04
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
	}
	{
		map textures/bgmaps/e8clangfloor04.tga
		blendfunc filter
		rgbGen identity
	}
}
textures/bgmaps/e8clangfloor04_blue
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
	}
	{
		map textures/bgmaps/e8clangfloor04_blue.tga
		blendfunc filter
		rgbGen identity
	}
}
textures/bgmaps/e8clangfloor04_red
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
	}
	{
		map textures/bgmaps/e8clangfloor04_red.tga
		blendfunc filter
		rgbGen identity
	}
}
textures/bgmaps/e8clangfloor04b
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
	}
	{
		map textures/bgmaps/e8clangfloor04b.tga
		blendfunc filter
		rgbGen identity
	}
}
textures/bgmaps/e8clangfloor04warn
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
	}
	{
		map textures/bgmaps/e8clangfloor04warn.tga
		blendfunc filter
		rgbGen identity
	}
}
textures/bgmaps/e8clangfloor04warn2
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
	}
	{
		map textures/bgmaps/e8clangfloor04warn2.tga
		blendfunc filter
		rgbGen identity
	}
}
textures/bgmaps/e8clangfloor05
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
	}
	{
		map textures/bgmaps/e8clangfloor05.tga
		blendfunc filter
		rgbGen identity
	}
}
textures/bgmaps/e8clangfloor05b
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
	}
	{
		map textures/bgmaps/e8clangfloor05b.tga
		blendfunc filter
		rgbGen identity
	}
}
textures/bgmaps/e8clangfloor05c
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
	}
	{
		map textures/bgmaps/e8clangfloor05c.tga
		blendfunc filter
		rgbGen identity
	}
}

//===========================//
//===========================//
//===========================//

// Skybox
/////////////////

textures/titan512/titan512
{
qer_editorimage textures/skies/stars_red.tga
surfaceparm noimpact
surfaceparm nomarks
surfaceparm nolightmap
surfaceparm sky

q3map_sun 1 .5 0 90 102 65
q3map_surfacelight 25
skyparms env/titan512/titan512 - -
}

